Debian Bug report logs - #510729
network-manager: /etc/dbus-1/system.d file needs alterations for fd.o #18961

version graph

Package: network-manager; Maintainer for network-manager is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for network-manager is src:network-manager.

Reported by: Simon McVittie <smcv@debian.org>

Date: Sun, 4 Jan 2009 15:09:11 UTC

Severity: normal

Found in version network-manager/0.6.6-2

Fixed in version network-manager/0.7.0.97-1

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#510729; Package network-manager. (Sun, 04 Jan 2009 15:09:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 04 Jan 2009 15:09:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: network-manager: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 15:04:08 +0000
[Message part 1 (text/plain, inline)]
Package: network-manager
Version: 0.6.6-2
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: fdo-18961

network-manager's D-Bus system.d config should be updated to fix
non-deterministic allow/deny for messages with no interface; the D-Bus
upstream recommendation seems to be that every allow or deny rule with
send_interface="..." should have a suitable send_destination attribute too.

In this case, this would make them redundant with the lines matching
send_destination="...", so they can just be removed (see
http://bugzilla.gnome.org/show_bug.cgi?id=563730).

http://bugs.freedesktop.org/show_bug.cgi?id=18961 is the D-Bus bug tracking
this; there have also been discussions on the D-Bus mailing list.

Regards from the Cambridge BSP,
    Simon
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 24 Feb 2009 22:45:08 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Tue, 24 Feb 2009 22:45:08 GMT) Full text and rfc822 format available.

Message #10 received at 510729-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 510729-close@bugs.debian.org
Subject: Bug#510729: fixed in network-manager 0.7.0.97-1
Date: Tue, 24 Feb 2009 22:17:22 +0000
Source: network-manager
Source-Version: 0.7.0.97-1

We believe that the bug you reported is fixed in the latest version of
network-manager, which is due to be installed in the Debian FTP archive:

libnm-glib-dev_0.7.0.97-1_i386.deb
  to pool/main/n/network-manager/libnm-glib-dev_0.7.0.97-1_i386.deb
libnm-glib-vpn-dev_0.7.0.97-1_i386.deb
  to pool/main/n/network-manager/libnm-glib-vpn-dev_0.7.0.97-1_i386.deb
libnm-glib-vpn0_0.7.0.97-1_i386.deb
  to pool/main/n/network-manager/libnm-glib-vpn0_0.7.0.97-1_i386.deb
libnm-glib0_0.7.0.97-1_i386.deb
  to pool/main/n/network-manager/libnm-glib0_0.7.0.97-1_i386.deb
libnm-util-dev_0.7.0.97-1_i386.deb
  to pool/main/n/network-manager/libnm-util-dev_0.7.0.97-1_i386.deb
libnm-util1_0.7.0.97-1_i386.deb
  to pool/main/n/network-manager/libnm-util1_0.7.0.97-1_i386.deb
network-manager-dev_0.7.0.97-1_i386.deb
  to pool/main/n/network-manager/network-manager-dev_0.7.0.97-1_i386.deb
network-manager_0.7.0.97-1.diff.gz
  to pool/main/n/network-manager/network-manager_0.7.0.97-1.diff.gz
network-manager_0.7.0.97-1.dsc
  to pool/main/n/network-manager/network-manager_0.7.0.97-1.dsc
network-manager_0.7.0.97-1_i386.deb
  to pool/main/n/network-manager/network-manager_0.7.0.97-1_i386.deb
network-manager_0.7.0.97.orig.tar.gz
  to pool/main/n/network-manager/network-manager_0.7.0.97.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510729@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated network-manager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 24 Feb 2009 22:47:20 +0100
Source: network-manager
Binary: network-manager network-manager-dev libnm-glib0 libnm-glib-dev libnm-glib-vpn0 libnm-glib-vpn-dev libnm-util1 libnm-util-dev
Architecture: source i386
Version: 0.7.0.97-1
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 libnm-glib-dev - network management framework (GLib interface)
 libnm-glib-vpn-dev - network management framework (GLib interface)
 libnm-glib-vpn0 - network management framework (GLib VPN shared library)
 libnm-glib0 - network management framework (GLib shared library)
 libnm-util-dev - network management framework (development files)
 libnm-util1 - network management framework (shared library)
 network-manager - network management framework daemon
 network-manager-dev - network management framework (development files)
Closes: 509655 510729
Changes: 
 network-manager (0.7.0.97-1) unstable; urgency=low
 .
   * New upstream release.
     - Update 02-dbus_access_network_manager.patch for the latest upstream
       changes which fixes non-deterministic allow/deny for D-Bus messages with
       no interface. (Closes: #510729)
     - Disable 03-F3507g.patch for now, patch no longer applies and should be
       replaced by ModemManager anyway.
     - Remove 04-ltversioning.patch, merged upstream.
     - Remove 05-dhclient_lease_files.patch, merged upstream.
   * Merge experimental branch into unstable. Remaining changes:
     - Remove 07-domain_search.patch, merged upstream.
     - Remove 08-hal_deprecated_keys.patch, fixed upstream.
     - Remove 09-nm_dbus_get_ap_from_object_path-mem_leak_fix.patch, obsolete.
     - Disable 20-manual_means_always_online.patch, needs to be ported to 0.7.
     - Drop libdbus-glib-1-dev Depends from libnm-util-dev.
   * debian/control
     - Add ${misc:Depends} to all binary packages.
     - Let network-manager depend on dhcp3-client directly, as the dependency
       on dhcdbd has been removed. (Closes: #509655)
     - Wrap Build-Depends.
     - Bump Build-Depends on debhelper to (>= 7).
   * debian/compat
     - Bump debhelper compat level to 7.
   * debian/rules
     - Include debhelper.mk before any other files as recommended by the cdbs
       documentation.
   * Update symbols file for libnm-util and libnm-glib due to API additions.
Checksums-Sha1: 
 1e2ca0d57d069cadd4fa5e87bb6d1a630a235c66 1710 network-manager_0.7.0.97-1.dsc
 40bfcffd8908d0b21f696a2fe58cb72b3f8e3934 1690220 network-manager_0.7.0.97.orig.tar.gz
 e91df9ca6ca27ab3517757f9d9912a0f73a01b70 20185 network-manager_0.7.0.97-1.diff.gz
 2eb2f3852c6f4158450d1fa1ce2eac28076b36bf 592010 network-manager_0.7.0.97-1_i386.deb
 90890b192bcd8e3efc73f604915a4110d42e426d 225318 network-manager-dev_0.7.0.97-1_i386.deb
 08fa368517b6816c60408465f6dc9097281d70f5 267160 libnm-glib0_0.7.0.97-1_i386.deb
 b4b7d4e3f7c2633e94ecb4e7371fd59a04023f2d 285072 libnm-glib-dev_0.7.0.97-1_i386.deb
 38220bcc44aa28822a4a9b328dc3fdd32124425f 231412 libnm-glib-vpn0_0.7.0.97-1_i386.deb
 d5fba4ee4ad0d93243f21fc4b47ae95936c499bc 233782 libnm-glib-vpn-dev_0.7.0.97-1_i386.deb
 e714bf6f9371dff71ab0a80c9ee95de3c5fc4e88 289174 libnm-util1_0.7.0.97-1_i386.deb
 56d9bcbc6a690933725a7b9a10ac98dccdf24d41 311106 libnm-util-dev_0.7.0.97-1_i386.deb
Checksums-Sha256: 
 355241900494cf8f9166255fa982398a4ad53bb43b63a1c2bb0f4a9fac600dc3 1710 network-manager_0.7.0.97-1.dsc
 8ecdde924c6fc2e52be2779cf84b87b1f26d45cbddc97d7f67a2a24af0149382 1690220 network-manager_0.7.0.97.orig.tar.gz
 8f57312c89b66f3d6cb843232cbbb42e27e7cceae0f3a6db5983dbc308a680b6 20185 network-manager_0.7.0.97-1.diff.gz
 34f1bb9d3e35f2e370564eef1f02258b3966810f22d6f16f855a1ed37fd0b364 592010 network-manager_0.7.0.97-1_i386.deb
 20b15e4eaebe7402ac649934262c3b0b2f0968fa50e0d88c26aa86fbed6093a1 225318 network-manager-dev_0.7.0.97-1_i386.deb
 293cbc7cbc03269d3256da9ea34593eca070983abb5d5c2350d8d2e7aeb6d801 267160 libnm-glib0_0.7.0.97-1_i386.deb
 89685a6b75106214323b00b4c1a652269637de5c1b7507e01e3a146f53cb74a1 285072 libnm-glib-dev_0.7.0.97-1_i386.deb
 88ff3fa6be5d8792e86e00b3a7f45fe09ff382cfb0d60e1aa62096daa841253d 231412 libnm-glib-vpn0_0.7.0.97-1_i386.deb
 215643894b679328219555c61e498bdcc9da8d9478f9cecafb4b55256f343af4 233782 libnm-glib-vpn-dev_0.7.0.97-1_i386.deb
 4d69b79687e8a0fef5b382694ecc6391087a05dab7832cf05850303231f03afd 289174 libnm-util1_0.7.0.97-1_i386.deb
 37dff234198116eb13e7fb46d031fc2c70b6e049e0649e20fc73184ba1271481 311106 libnm-util-dev_0.7.0.97-1_i386.deb
Files: 
 c8bebec76343e97ec5bec23380bb528b 1710 net optional network-manager_0.7.0.97-1.dsc
 b337385e4dbd60b7507fd8623e360a94 1690220 net optional network-manager_0.7.0.97.orig.tar.gz
 b1485962e66d0f1493aec840eab91485 20185 net optional network-manager_0.7.0.97-1.diff.gz
 eab72b3c6b6d4334dad9df1564944d58 592010 net optional network-manager_0.7.0.97-1_i386.deb
 03c051b0108b533178db78ebe96515b9 225318 devel optional network-manager-dev_0.7.0.97-1_i386.deb
 b61775bccfc1b716bced63c846e1625c 267160 libs optional libnm-glib0_0.7.0.97-1_i386.deb
 94ab0081ea5e4da7b7fe52d105fa0a83 285072 libdevel optional libnm-glib-dev_0.7.0.97-1_i386.deb
 7baeb08aa87a4e468d4362aa8545444d 231412 libs optional libnm-glib-vpn0_0.7.0.97-1_i386.deb
 3bff4a156bcd02977432dbdcfe4b226c 233782 libdevel optional libnm-glib-vpn-dev_0.7.0.97-1_i386.deb
 02db10c8b0972dd6bfd7bf879d26471c 289174 libs optional libnm-util1_0.7.0.97-1_i386.deb
 57acd1a8892de55510cbbad38974f65b 311106 libdevel optional libnm-util-dev_0.7.0.97-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmkbkkACgkQh7PER70FhVSEEACfVt7cCUpOIxR5Y9e8HVswzD7s
lY8AoKHnmc8Y8E1catGBsihpUlJaZ8os
=oAPv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 May 2009 07:29:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:10:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.